# Enum Class VulkanRenderingFlag

java.lang.Object
java.lang.Enum<VulkanRenderingFlag>
com.io7m.jcoronado.api.VulkanRenderingFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType, Serializable, Comparable<VulkanRenderingFlag>, Constable`

public enum VulkanRenderingFlag extends Enum<VulkanRenderingFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkRenderingFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_RENDERING_CONTENTS_SECONDARY_COMMAND_BUFFERS_BIT`
  Specifies that draw calls for the render pass instance will be recorded in secondary command buffers.
  `VK_RENDERING_RESUMING_BIT`
  Specifies that the render pass instance will be suspended.
  `VK_RENDERING_SUSPENDING_BIT`
  Specifies that the render pass instance is resuming an earlier suspended render pass instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanRenderingFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanRenderingFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_RENDERING_CONTENTS_SECONDARY_COMMAND_BUFFERS_BIT

    public static final VulkanRenderingFlag VK_RENDERING_CONTENTS_SECONDARY_COMMAND_BUFFERS_BIT
    Specifies that draw calls for the render pass instance will be recorded in secondary command buffers. If the nestedCommandBuffer feature is enabled, the draw calls can come from both inline and vkCmdExecuteCommands.

  - ### VK_RENDERING_SUSPENDING_BIT

    public static final VulkanRenderingFlag VK_RENDERING_SUSPENDING_BIT
    Specifies that the render pass instance is resuming an earlier suspended render pass instance.

  - ### VK_RENDERING_RESUMING_BIT

    public static final VulkanRenderingFlag VK_RENDERING_RESUMING_BIT
    Specifies that the render pass instance will be suspended.

- ## Method Details

  - ### values

    public static VulkanRenderingFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanRenderingFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant